#
# spec file for package rubygem-public_suffix
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-public_suffix
Version:        5.0.4
Release:        1.3
%define mod_name public_suffix
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.6}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://simonecarletti.com/code/publicsuffix-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Domain name parser based on the Public Suffix List
License:        MIT

%description
PublicSuffix can parse and decompose a domain name into top level domain,
domain and subdomains.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 5.0.4
  [#]## Changed
- Reduced .gem file size (GH-259). [Thanks @ybiquitous]
- Updated definitions.
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ## 5.0.3
  [#]## Fixed
- Fixed automated release workflow.
  [#]# 5.0.2
  [#]## Changed
- Updated definitions.
  [#]# 5.0.1
  [#]## Changed
- Updated definitions.
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 5.0.0
  see installed CHANGELOG.md
  [#]# 5.0.0
  [#]## Changed
  - Minimum Ruby version is 2.6
  - Updated definitions.
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.7
  see installed CHANGELOG.md
  [#]# 4.0.7
  [#]## Fixes
  - Fixed YARD rake task (GH-179)
  [#]## Changed
  - Updated definitions.
* Sat Sep 12 2020 Manuel Schnitzer <mschnitzer@suse.com>
-  updated to version 4.0.6
  [#] Changed
  * Updated definitions
* Mon May 11 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.5
  [#] Changed
  * Updated definitions
* Mon Apr 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.4
  [#] Changed
  * Updated definitions
* Mon Jan 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.3
  [#] Fixed
  * Fixed 2.7 deprecations and warnings (GH-167). [Thanks @BrianHawley]
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.1
  * CHANGED: Updated definitions.
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.0.0
  * CHANGED: Minimum Ruby version is 2.3
* Thu Aug 16 2018 mschnitzer@suse.com
- updated to version 3.0.3
  CHANGED: Updated definitions.
* Mon Feb 12 2018 bgeuken@suse.com
- Update to version 3.0.2
  CHANGED: Updated definitions.
* Fri Nov 17 2017 mschnitzer@suse.com
- updated to version 3.0.1
  CHANGED: Updated definitions.
  CHANGED: Improve performance and avoid allocation (GH-146). [Thanks @robholland]
* Mon Sep 11 2017 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG.md
* Tue Jan 24 2017 dkang@suse.com
- Initial package
